Broken link in BzrGivingBack

Bug #489796 reported by OldAl on 2009-11-29
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Bazaar
Undecided
Unassigned
Bazaar All Docs Website
Undecided
OldAl

Bug Description

There is a broken link in BzrGivingBack page. The link is titled Introduction and points as follows:
http://bazaar-vcs.org/InstallationFaq#RunFromSourceDirectory.
The wiki offers to create a new page, which may result in unnecessary pages. It would be better to simply point to
http://bazaar-vcs.org/InstallationFaq
The following diff would fix it, though that is probably undesirable, anyway:
***************************************
--- BzrGivingBack.txt 2009-11-29 12:10:48.000000000 +1100
+++ BzrGivingBackWithLinkCorrected.txt 2009-11-29 11:36:40.000000000 +1100
@@ -17,7 +17,7 @@
  $ bzr branch lp:bzr bzr.dev

-You may wish to consider using this copy of Bazaar. See `Installation <wiki:Self:InstallationFaq#RunFromSourceDirectory>`_ for details.
+You may wish to consider using this copy of Bazaar. See `Installation <wiki:Self:InstallationFaq>`_ for details.

 Now make your own branch::
***************************************

OldAl wrote:
> ** Also affects: bzr-alldocs
> Importance: Undecided
> Status: New
>

BzrGivingBack is just a wiki page so please just edit the wiki and
correct the link rather than raise a bug.

Ian C.

OldAl (algis.kabaila) on 2009-11-29
Changed in bzr-alldocs:
assignee: nobody → OldAl (algis.kabaila)
status: New → Fix Released
OldAl (algis.kabaila) wrote :

On Sunday 29 November 2009 14:34:37 Ian Clatworthy wrote:
> OldAl wrote:
> > ** Also affects: bzr-alldocs
> > Importance: Undecided
> > Status: New
>
> BzrGivingBack is just a wiki page so please just edit the wiki and
> correct the link rather than raise a bug.
>
> Ian C.
Thanks for keeping me on the straight and narrow path. I fixed up the wiki.
My thank you note to you on the bug tracker "went to hand in the ether" due to
my inapt handling of the gui.

The best,
OldAl.

Patrick Regan (patrick-regan) wrote :

I marked this as invalid against Bazaar, due to the fact that it's not a part of Bazaar or any core documentation. This way it won't keep showing up in the "new" bug list.

Cheers!
Pat

Changed in bzr:
status: New → Invalid
OldAl (algis.kabaila) wrote :

On Wednesday 02 December 2009 01:43:41 Patrick Regan wrote:
> I marked this as invalid against Bazaar, due to the fact that it's not a
> part of Bazaar or any core documentation. This way it won't keep showing
> up in the "new" bug list.
>
> Cheers!
> Pat
>
> ** Changed in: bzr
> Status: New => Invalid

Sounds good to me!

Al.
--
Algis Kabaila, MEngSc, PhD(Eng)
http://akabaila.pcug.org.au/StructuralAnalysis.pdf

Thanks Patrick thats appropriate here. I'd like to note though, that if the web page were still faulty, it would be better to mark this 'confirmed'; the bug tracker isn't strictly confined to just the code.

OldAl (algis.kabaila) wrote :

On Wednesday 02 December 2009 12:03:40 Bob The Builder wrote:
> Thanks Patrick thats appropriate here. I'd like to note though, that if
> the web page were still faulty, it would be better to mark this
> 'confirmed'; the bug tracker isn't strictly confined to just the code.

Guys,

I fixed the link on the wiki some time ago. So there is no problem and the bug
has been eliminated. So AFAIC recall, I marked the bug as "Fix Released" or
something similar, as it seemed to me most appropriate for a bug that is no
longer a bug.

As I understand it, as the invalid link was in a wiki, there was no need to
raise the bug in the first place - I should have fixed up the bug in the wiki,
which I did.

It appears that what I failed to do is to get rid of the bug reminder. So on
reflection it would seem to me that Patrick's "fix" was not appropriate. Is
that not so, Patrick?

"Confirmed" sounds to me as saying the the bug is really there - "I confirm the
bug, it is real, not immaginary bug". "Fix released" sounds to me to say "I
have released a solution that fixes the problem, eliminates the bug". I could
be wrong. If I am, please let me know and I will try to improve in future.

Where are the different options described? Surely there is a page of
explanation, which I apparently failed to follow. Bob, you sound to me like an
Aussie(?) guy who would, or maybe, should know, judging by your email address.
I really, really do not care which option will get rid of the notice. I do
care about bugs and just want to get rid of them by fixing the program if I
can, or at least make the bug known, so that others can fix it.

Patrick is a nice guy, state side, who helped me on another occasion, so when
I saw his message, I assumed that he is right. All is well that ends well. I
do whatever I can, whenever I can.

I am kind of a peaceful person and to argue about a bug once it has been fixed
is not much point. I just now checked the wiki page again, and the link has
been fixed, so the bug, the broken link, is not there any more. That is the
important part.

Right now I am "immersed" in a little hacking of my own project. Much more
pleasant than shuffling back and forth bug notices...

Kind regards and thanks to all,

Al aka OldAl.
--
Algis Kabaila, MEngSc, PhD(Eng)
http://akabaila.pcug.org.au/StructuralAnalysis.pdf

Martin Pool (mbp) wrote :

2009/12/2 OldAl <email address hidden>:
> On Wednesday 02 December 2009 12:03:40 Bob The Builder wrote:
>> Thanks Patrick thats appropriate here. I'd like to note though, that if
>> the web page were still faulty, it would be better to mark this
>> 'confirmed'; the bug tracker isn't strictly confined to just the code.
>
> Guys,
>
> I fixed the link on the wiki some time ago.  So there is no problem and the bug
> has been eliminated.  So AFAIC recall, I marked the bug as "Fix Released" or
> something similar, as it seemed to me most appropriate for a bug that is no
> longer a bug.

Good with me too. Thanks for fixing it.

> As I understand it, as the invalid link was in a wiki, there was no need to
> raise the bug in the first place - I should have fixed up the bug in the wiki,
> which I did.
>
> It appears that what I failed to do is to get rid of the bug reminder.  So on
> reflection it would seem to me that Patrick's "fix" was not appropriate.  Is
> that not so, Patrick?
>
> "Confirmed" sounds to me as saying the the bug is really there - "I confirm the
> bug, it is real, not immaginary bug".  "Fix released" sounds to me to say "I
> have released a solution that fixes the problem, eliminates the bug".  I could
> be wrong. If I am, please let me know and I will try to improve in future.

That's correct.

>
> Where are the different options described? Surely there is a page of
> explanation, which I apparently failed to follow.

It's here <http://doc.bazaar-vcs.org/developers/bug-handling.html>.
It is a bit hard to find - the documentation indexes could be better.
I have added a link to it from Bazaar's Launchpad home page.

> Bob, you sound to me like an
> Aussie(?) guy who would, or maybe, should know, judging by your email address.
> I really, really do not care which option will get rid of the notice.  I do
> care about bugs and just want to get rid of them by fixing the program if I
> can, or at least make the bug known, so that others can fix it.
>
> Patrick is a nice guy, state side, who helped me on another occasion, so when
> I saw his message, I assumed that he is right.  All is well that ends well. I
> do whatever I can, whenever I can.
>
> I am kind of a peaceful person and to argue about a bug once it has been fixed
> is not much point.  I just now checked the wiki page again, and the link has
> been fixed, so the bug, the broken link, is not there any more. That is the
> important part.

I don't think Bob has any quarrel with you or with Patrick or anyone else.

Regards,
--
Martin <http://launchpad.net/~mbp/>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers